#ifndef __LOG_FILE_COPY_H
#define __LOG_FILE_COPY_H

#define ERROR_NONE                               0
#define ERROR_CANNOT_OPEN_FILE                  -1
#define ERROR_CANNOT_CREATE_FILE                -2
#define ERROR_CANNOT_MAKE_DIR                   -3
#define ERROR_CANNOT_CHANGE_DIR                 -4
#define ERROR_CANNOT_CHANGE_FILENAME            -5
#define ERROR_UNKNOWN                         -100
#define ERROR_CALLSTOP                        -99

#define WM_COPYFILECOUNT                      7777

VOID DeleteAllFiles(char* target_dir);
INT32 MakeDstDir(const char* dst_dir_path);
INT32 AnyFileCopy(char* SrcFileName, char* DstDirPath);
INT32 CheckDstDir(const char* dst_dir_path);
INT32 CopyAllWithDir( char* src_dir,  char* dst_dir);
INT32 CopyAllWithDir2( char* src_dir,  char* dst_dir,  HWND hWnd, BOOL* pbStop);
INT32 CopyAll( char* src_dir,  char* dst_dir);
INT32 CopyAll2( char* src_dir,  char* dst_dir, HWND hWn, BOOL* pbStop);
INT32 GetCopyFileCount( VOID );
#endif
